LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
widget_opts_t Struct Reference

`#include <widget-helper.h>`

## Data Fields
boolean | no_gui
boolean | swap_label
boolean | pack_end
boolean | line_wrap
boolean | non_modal
boolean | expand
boolean | apply_theme
double | scale
int | packing_width
int | packing_height
int | border_width
int | filler_len
LiVESWidget * | last_label
LiVESJustification | justify
LiVESJustification | default_justify

## Field Documentation

boolean widget_opts_t::apply_theme

int widget_opts_t::border_width

LiVESJustification widget_opts_t::default_justify

boolean widget_opts_t::expand

int widget_opts_t::filler_len

LiVESJustification widget_opts_t::justify

LiVESWidget* widget_opts_t::last_label

boolean widget_opts_t::line_wrap

boolean widget_opts_t::no_gui

boolean widget_opts_t::non_modal

boolean widget_opts_t::pack_end

int widget_opts_t::packing_height

int widget_opts_t::packing_width

double widget_opts_t::scale

boolean widget_opts_t::swap_label

The documentation for this struct was generated from the following file:

- src/widget-helper.h